## org.codehaus.groovy.grails.web.mapping
Class ForwardUrlMappingInfo

    java.lang.Object
      org.codehaus.groovy.grails.web.mapping.AbstractUrlMappingInfo
          org.codehaus.groovy.grails.web.mapping.ForwardUrlMappingInfo

All Implemented Interfaces:
  groovy.lang.GroovyObject, UrlMappingInfo

    public class ForwardUrlMappingInfo

extends AbstractUrlMappingInfo
implements groovy.lang.GroovyObject

Field Summary

Fields inherited from class org.codehaus.groovy.grails.web.mapping.AbstractUrlMappingInfo
`params`

Constructor Summary
`ForwardUrlMappingInfo()`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`String` `getActionName()` The name of the action that the URL mappping maps to
`String` `getControllerName()` The name of the controller that the URL mapping maps to
`String` `getId()` The id part of the URL mapping if any
`groovy.lang.MetaClass` `getMetaClass()`
`Map` `getParameters()` The parameters that were extracted from the URI that was matched
`Object` `getProperty(String property)`
`String` `getURI()` The URI to map to.
`String` `getViewName()` The name of the view that the URL mappping maps to
`Object` `invokeMethod(String method, Object arguments)`
`boolean` `isParsingRequest()` Returns true of the request body should be parsed.
`void` `setAction(String action)`
`void` `setActionName(String value)`
`void` `setController(String controller)`
`void` `setControllerName(String value)`
`void` `setId(String value)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setParameters(Map value)`
`void` `setParams(Map params)`
`void` `setProperty(String property, Object value)`
`void` `setURI(String value)`
`void` `setView(String view)`
`void` `setViewName(String value)`

Methods inherited from class org.codehaus.groovy.grails.web.mapping.AbstractUrlMappingInfo
`configure, evaluateNameForValue, evaluateNameForValue, populateParamsForMapping`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ForwardUrlMappingInfo

    public ForwardUrlMappingInfo()

Method Detail

### getControllerName

    public String getControllerName()

  Description copied from interface: `UrlMappingInfo`
  The name of the controller that the URL mapping maps to

  Specified by:
    `getControllerName` in interface `UrlMappingInfo`
  Returns:
    The name of the controller

### setControllerName

    public void setControllerName(String value)

### getActionName

    public String getActionName()

  Description copied from interface: `UrlMappingInfo`
  The name of the action that the URL mappping maps to

  Specified by:
    `getActionName` in interface `UrlMappingInfo`
  Returns:
    The name of the action or null if not known

### setActionName

    public void setActionName(String value)

### getViewName

    public String getViewName()

  Description copied from interface: `UrlMappingInfo`
  The name of the view that the URL mappping maps to

  Specified by:
    `getViewName` in interface `UrlMappingInfo`
  Returns:
    The name of the view or null if not known

### setViewName

    public void setViewName(String value)

### getURI

    public String getURI()

  Description copied from interface: `UrlMappingInfo`
  The URI to map to. Note when the URI is specified it overrides any explicit controller/action/id mappings. In other words you can either specify the URI or the controller/action/id, but not both

  Specified by:
    `getURI` in interface `UrlMappingInfo`
  Returns:
    The URI to use

### setURI

    public void setURI(String value)

### getId

    public String getId()

  Description copied from interface: `UrlMappingInfo`
  The id part of the URL mapping if any

  Specified by:
    `getId` in interface `UrlMappingInfo`
  Returns:
    The id or null

### setId

    public void setId(String value)

### setParameters

    public void setParameters(Map value)

### setController

    public void setController(String controller)

### setAction

    public void setAction(String action)

### setView

    public void setView(String view)

### setParams

    public void setParams(Map params)

### getParameters

    public Map getParameters()

  Description copied from interface: `UrlMappingInfo`
  The parameters that were extracted from the URI that was matched

  Specified by:
    `getParameters` in interface `UrlMappingInfo`
  Returns:
    A Map of parameters

### isParsingRequest

    public boolean isParsingRequest()

  Description copied from interface: `UrlMappingInfo`
  Returns true of the request body should be parsed. This typically happens in the case of REST requests that parse JSON or XML packets

  Specified by:
    `isParsingRequest` in interface `UrlMappingInfo`
  Returns:
    True if it is

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project